plugins {
    id 'java-library'
    id 'org.jetbrains.kotlin.jvm'
    id 'org.jetbrains.kotlin.plugin.serialization'
}

dependencies {
    implementation "org.jetbrains.kotlinx:kotlinx-coroutines-core:$kotlinx_coroutines_version"
    implementation(project(":core:events"))
    implementation(project(":core:sessions"))
    implementation(project(":core:artifacts"))
    implementation(project(":core:artifacts-store"))
    implementation "org.xerial:sqlite-jdbc"
    testImplementation(testFixtures(project(":testing:contracts")))
    testImplementation(project(":testing:fixtures"))
    testImplementation "org.junit.jupiter:junit-jupiter"
}

tasks.named("koverVerify").configure { enabled = false }
